## RygelDLNAAvailableSeekRangeResponse

RygelDLNAAvailableSeekRangeResponse

## Functions

RygelDLNAAvailableSeekRangeResponse * | rygel_dlna_available_seek_range_response_new ()
RygelDLNAAvailableSeekRangeResponse * | rygel_dlna_available_seek_range_response_new_time_only ()
gint | rygel_dlna_available_seek_range_response_get_mode ()
gint64 | rygel_dlna_available_seek_range_response_get_start_time ()
gint64 | rygel_dlna_available_seek_range_response_get_end_time ()
gint64 | rygel_dlna_available_seek_range_response_get_start_byte ()
gint64 | rygel_dlna_available_seek_range_response_get_end_byte ()
gint64 | rygel_dlna_available_seek_range_response_get_range_length ()

## Properties

gint64 | end-byte | Read
gint64 | end-time | Read
gint | mode | Read
gint64 | range-length | Read
gint64 | start-byte | Read
gint64 | start-time | Read

## Types and Values

#define | RYGEL_TYPE_DLNA_AVAILABLE_SEEK_RANGE_RESPONSE
#define | RYGEL_DLNA_AVAILABLE_SEEK_RANGE_RESPONSE_AVAILABLE_SEEK_RANGE_HEADER
struct | RygelDLNAAvailableSeekRangeResponse
struct | RygelDLNAAvailableSeekRangeResponseClass

## Object Hierarchy

        GObject
        ╰── RygelHTTPResponseElement
            ╰── RygelDLNAAvailableSeekRangeResponse

## Description

## Functions

### rygel_dlna_available_seek_range_response_new ()

    RygelDLNAAvailableSeekRangeResponse *
    rygel_dlna_available_seek_range_response_new
                                   (gint mode,
                                    gint64 start_time,
                                    gint64 end_time,
                                    gint64 start_byte,
                                    gint64 end_byte);

#### Parameters

mode |  |
start_time |  |
end_time |  |
start_byte |  |
end_byte |  |

### rygel_dlna_available_seek_range_response_new_time_only ()

    RygelDLNAAvailableSeekRangeResponse *
    rygel_dlna_available_seek_range_response_new_time_only
                                   (gint mode,
                                    gint64 start_time,
                                    gint64 end_time);

#### Parameters

mode |  |
start_time |  |
end_time |  |

### rygel_dlna_available_seek_range_response_get_mode ()

    gint
    rygel_dlna_available_seek_range_response_get_mode
                                   (RygelDLNAAvailableSeekRangeResponse *self);

Get and return the current value of the "mode" property.

The Limited Operation mode (0 or 1)

#### Parameters

self | the RygelDLNAAvailableSeekRangeResponse instance to query |

#### Returns

the value of the "mode" property

### rygel_dlna_available_seek_range_response_get_start_time ()

    gint64
    rygel_dlna_available_seek_range_response_get_start_time
                                   (RygelDLNAAvailableSeekRangeResponse *self);

Get and return the current value of the "start-time" property.

Available range start time, in microseconds

#### Parameters

self | the RygelDLNAAvailableSeekRangeResponse instance to query |

#### Returns

the value of the "start-time" property

### rygel_dlna_available_seek_range_response_get_end_time ()

    gint64
    rygel_dlna_available_seek_range_response_get_end_time
                                   (RygelDLNAAvailableSeekRangeResponse *self);

Get and return the current value of the "end-time" property.

Available range end time, in microseconds

#### Parameters

self | the RygelDLNAAvailableSeekRangeResponse instance to query |

#### Returns

the value of the "end-time" property

### rygel_dlna_available_seek_range_response_get_start_byte ()

    gint64
    rygel_dlna_available_seek_range_response_get_start_byte
                                   (RygelDLNAAvailableSeekRangeResponse *self);

Get and return the current value of the "start-byte" property.

The start of the available range in bytes

#### Parameters

self | the RygelDLNAAvailableSeekRangeResponse instance to query |

#### Returns

the value of the "start-byte" property

### rygel_dlna_available_seek_range_response_get_end_byte ()

    gint64
    rygel_dlna_available_seek_range_response_get_end_byte
                                   (RygelDLNAAvailableSeekRangeResponse *self);

Get and return the current value of the "end-byte" property.

The end of the available range in bytes (inclusive)

#### Parameters

self | the RygelDLNAAvailableSeekRangeResponse instance to query |

#### Returns

the value of the "end-byte" property

### rygel_dlna_available_seek_range_response_get_range_length ()

    gint64
    rygel_dlna_available_seek_range_response_get_range_length
                                   (RygelDLNAAvailableSeekRangeResponse *self);

Get and return the current value of the "range-length" property.

The length of the available range in bytes

#### Parameters

self | the RygelDLNAAvailableSeekRangeResponse instance to query |

#### Returns

the value of the "range-length" property

## Types and Values

### RYGEL_TYPE_DLNA_AVAILABLE_SEEK_RANGE_RESPONSE

    #define RYGEL_TYPE_DLNA_AVAILABLE_SEEK_RANGE_RESPONSE (rygel_dlna_available_seek_range_response_get_type ())

The type for RygelDLNAAvailableSeekRangeResponse.

### RYGEL_DLNA_AVAILABLE_SEEK_RANGE_RESPONSE_AVAILABLE_SEEK_RANGE_HEADER

    #define RYGEL_DLNA_AVAILABLE_SEEK_RANGE_RESPONSE_AVAILABLE_SEEK_RANGE_HEADER "availableSeekRange.dlna.org"

### struct RygelDLNAAvailableSeekRangeResponse

    struct RygelDLNAAvailableSeekRangeResponse;

### struct RygelDLNAAvailableSeekRangeResponseClass

    struct RygelDLNAAvailableSeekRangeResponseClass {
    	RygelHTTPResponseElementClass parent_class;
    };

The class structure for `RYGEL_TYPE_DLNA_AVAILABLE_SEEK_RANGE_RESPONSE`. All the fields in this structure are private and should never be accessed directly.

#### Members

## Property Details

### The `“end-byte”` property

      “end-byte”                 gint64

The end of the available range in bytes (inclusive)

Flags: Read

Default value: 0

### The `“end-time”` property

      “end-time”                 gint64

Available range end time, in microseconds

Flags: Read

Default value: 0

### The `“mode”` property

      “mode”                     gint

The Limited Operation mode (0 or 1)

Flags: Read

Default value: 0

### The `“range-length”` property

      “range-length”             gint64

The length of the available range in bytes

Flags: Read

Default value: 0

### The `“start-byte”` property

      “start-byte”               gint64

The start of the available range in bytes

Flags: Read

Default value: 0

### The `“start-time”` property

      “start-time”               gint64

Available range start time, in microseconds

Flags: Read

Default value: 0